# 8. Мутация: сгенерировать "RasterMap"

Сгенерировать «RasterMap» для «Field».

{% hint style="info" %}
Время выполнения отличается (от 4 секунд до 5 минут), оно зависит от количества изображений и площади поля для обработки, а уведомление о завершении будет получено после успешной генерации «RasterMap».
{% endhint %}

{% hint style="danger" %}
Мы рекомендуем использовать **асинхронный** подход для генерации RastetMap
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateRasterMap {
  generateRasterAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      "<placeholder_of_satelliteimage_uuid_2>"
    ]
    index: NDVI
  }) {    
    uuid
    fieldUuid
    название
    centroid {
      latitude
      longitude
    }
    boundingBox
    geoMaps {
      короткоеИмя
      полноеИмя
      url
      classes
      hexColorCodes
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/8.-mutaciya-sgenerirovat-rastermap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
